/* simpl32-defs.h -- Definitions for the simple execution model

   Copyright (C) 1999 Damjan Lampret, lampret@opencores.org
   Copyright (C) 2008 Embecosm Limited

   Contributed by Damjan Lampret (lampret@opencores.org).
   Contributor Jeremy Bennett <jeremy.bennett@embecosm.com>

   This file is part of Or1ksim, the OpenRISC 1000 Architectural Simulator.
   This file is also part of or1k_gen_isa, GDB and GAS.

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 3 of the License, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
   more details.

   You should have received a copy of the GNU General Public License along
   with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* This program is commented throughout in a fashion suitable for processing
   with Doxygen. */


#ifndef SIMPLE32_DEFS__H
#define SIMPLE32_DEFS__H

/* Package includes */
#include "abstract.h"


extern void l_invalid PARAMS((struct iqueue_entry *));
extern void l_sfne PARAMS((struct iqueue_entry *));
extern void l_bf PARAMS((struct iqueue_entry *));
extern void l_add PARAMS((struct iqueue_entry *));
extern void l_addc PARAMS((struct iqueue_entry *));
extern void l_swa PARAMS((struct iqueue_entry *));
extern void l_sw PARAMS((struct iqueue_entry *));
extern void l_sb PARAMS((struct iqueue_entry *));
extern void l_sh PARAMS((struct iqueue_entry *));
extern void l_lwa PARAMS((struct iqueue_entry *));
extern void l_lwz PARAMS((struct iqueue_entry *));
extern void l_lbs PARAMS((struct iqueue_entry *));
extern void l_lbz PARAMS((struct iqueue_entry *));
extern void l_lhs PARAMS((struct iqueue_entry *));
extern void l_lhz PARAMS((struct iqueue_entry *));
extern void l_movhi PARAMS((struct iqueue_entry *));
extern void l_and PARAMS((struct iqueue_entry *));
extern void l_or PARAMS((struct iqueue_entry *));
extern void l_xor PARAMS((struct iqueue_entry *));
extern void l_sub PARAMS((struct iqueue_entry *));
extern void l_mul PARAMS((struct iqueue_entry *));
extern void l_div PARAMS((struct iqueue_entry *));
extern void l_divu PARAMS((struct iqueue_entry *));
extern void l_sll PARAMS((struct iqueue_entry *));
extern void l_sra PARAMS((struct iqueue_entry *));
extern void l_srl PARAMS((struct iqueue_entry *));
extern void l_j PARAMS((struct iqueue_entry *));
extern void l_jal PARAMS((struct iqueue_entry *));
extern void l_jalr PARAMS((struct iqueue_entry *));
extern void l_jr PARAMS((struct iqueue_entry *));
extern void l_rfe PARAMS((struct iqueue_entry *));
extern void l_nop PARAMS((struct iqueue_entry *));
extern void l_bnf PARAMS((struct iqueue_entry *));
extern void l_sfeq PARAMS((struct iqueue_entry *));
extern void l_sfgts PARAMS((struct iqueue_entry *));
extern void l_sfges PARAMS((struct iqueue_entry *));
extern void l_sflts PARAMS((struct iqueue_entry *));
extern void l_sfles PARAMS((struct iqueue_entry *));
extern void l_sfgtu PARAMS((struct iqueue_entry *));
extern void l_sfgeu PARAMS()(struct iqueue_entry *);
extern void l_sfltu PARAMS((struct iqueue_entry *));
extern void l_sfleu PARAMS((struct iqueue_entry *));
extern void l_extbs PARAMS((struct iqueue_entry *));
extern void l_extbz PARAMS((struct iqueue_entry *));
extern void l_exths PARAMS((struct iqueue_entry *));
extern void l_exthz PARAMS((struct iqueue_entry *));
extern void l_extws PARAMS((struct iqueue_entry *));
extern void l_extwz PARAMS((struct iqueue_entry *));
extern void l_mtspr PARAMS((struct iqueue_entry *));
extern void l_mfspr PARAMS((struct iqueue_entry *));
extern void l_sys PARAMS((struct iqueue_entry *));
extern void l_trap PARAMS((struct iqueue_entry *)); /* CZ 21/06/01 */
extern void l_macrc PARAMS((struct iqueue_entry *));
extern void l_mac PARAMS((struct iqueue_entry *));
extern void l_msb PARAMS((struct iqueue_entry *));
extern void l3_mac PARAMS((struct iqueue_entry *));
extern void l3_macc PARAMS((struct iqueue_entry *));
extern void l_mac_sl_sl PARAMS((struct iqueue_entry *));
extern void l_mac_sh_sl PARAMS((struct iqueue_entry *))
extern void l_mac_sh_sh PARAMS((struct iqueue_entry *))
extern void l_mac_zl_zl PARAMS((struct iqueue_entry *));
extern void l_mac_zh_zl PARAMS((struct iqueue_entry *));
extern void l_mac_zh_zh PARAMS((struct iqueue_entry *));
extern void l_mac_sh_zl PARAMS((struct iqueue_entry *));
extern void l_macc_sl_sl PARAMS((struct iqueue_entry *));
extern void l_macc_sh_sl PARAMS((struct iqueue_entry *));
extern void l_macc_sh_sh PARAMS((struct iqueue_entry *));
extern void l_macc_zl_zl PARAMS((struct iqueue_entry *));
extern void l_macc_zh_zl PARAMS((struct iqueue_entry *));
extern void l_macc_zh_zh PARAMS((struct iqueue_entry *));
extern void l_macc_sh_zl PARAMS((struct iqueue_entry *));
extern void l_mul_sl_sl PARAMS((struct iqueue_entry *));
extern void l_mul_sh_sl PARAMS((struct iqueue_entry *));
extern void l_mul_sh_sh PARAMS((struct iqueue_entry *));
extern void l_mul_zl_zl PARAMS((struct iqueue_entry *));
extern void l_mul_zh_zl PARAMS((struct iqueue_entry *));
extern void l_mul_zh_zh PARAMS((struct iqueue_entry *));
extern void l_mul_sh_zl PARAMS((struct iqueue_entry *));
extern void l_cmov PARAMS ((struct iqueue_entry *));
extern void l_ff1 PARAMS ((struct iqueue_entry *));
extern void l_sw_inc PARAMS((struct iqueue_entry *));
extern void l_sb_inc PARAMS((struct iqueue_entry *));
extern void l_sb1_inc PARAMS((struct iqueue_entry *));
extern void l_sb2_inc PARAMS((struct iqueue_entry *));
extern void l_sb3_inc PARAMS((struct iqueue_entry *));
extern void l_sh_inc PARAMS((struct iqueue_entry *));
extern void l_sh1_inc PARAMS((struct iqueue_entry *));
extern void l_inc_sw PARAMS((struct iqueue_entry *));
extern void l_inc_sb PARAMS((struct iqueue_entry *));
extern void l_inc_sb1 PARAMS((struct iqueue_entry *));
extern void l_inc_sb2 PARAMS((struct iqueue_entry *));
extern void l_inc_sb3 PARAMS((struct iqueue_entry *));
extern void l_inc_sh PARAMS((struct iqueue_entry *));
extern void l_inc_sh1 PARAMS((struct iqueue_entry *));
extern void l_lwz_inc PARAMS((struct iqueue_entry *));
extern void l_lbz_inc PARAMS((struct iqueue_entry *));
extern void l_lhz_inc PARAMS((struct iqueue_entry *));
extern void l_lws_inc PARAMS((struct iqueue_entry *));
extern void l_lbs_inc PARAMS((struct iqueue_entry *));
extern void l_lws_inc PARAMS((struct iqueue_entry *));
extern void l_inc_lwz PARAMS((struct iqueue_entry *));
extern void l_inc_lbz PARAMS((struct iqueue_entry *));
extern void l_inc_lhz PARAMS((struct iqueue_entry *));
extern void l_inc_lws PARAMS((struct iqueue_entry *));
extern void l_inc_lbs PARAMS((struct iqueue_entry *));
extern void l_inc_lws PARAMS((struct iqueue_entry *));
extern void l_sw_rr PARAMS((struct iqueue_entry *));
extern void l_sh_rr PARAMS((struct iqueue_entry *));
extern void l_sh1_rr PARAMS((struct iqueue_entry *));
extern void l_sb_rr PARAMS((struct iqueue_entry *));
extern void l_sb1_rr PARAMS((struct iqueue_entry *));
extern void l_sb2_rr PARAMS((struct iqueue_entry *));
extern void l_sb3_rr PARAMS((struct iqueue_entry *));
extern void l_lwz_rr PARAMS((struct iqueue_entry *));
extern void l_lhz_rr PARAMS((struct iqueue_entry *));
extern void l_lbz_rr PARAMS((struct iqueue_entry *));
extern void l_lws_rr PARAMS((struct iqueue_entry *));
extern void l_lhs_rr PARAMS((struct iqueue_entry *));
extern void l_lbs_rr PARAMS((struct iqueue_entry *));
extern void l_sw_rr_inc PARAMS((struct iqueue_entry *));
extern void l_sb_rr_inc PARAMS((struct iqueue_entry *));
extern void l_sb1_rr_inc PARAMS((struct iqueue_entry *));
extern void l_sb2_rr_inc PARAMS((struct iqueue_entry *));
extern void l_sb3_rr_inc PARAMS((struct iqueue_entry *));
extern void l_sh_rr_inc PARAMS((struct iqueue_entry *));
extern void l_sh1_rr_inc PARAMS((struct iqueue_entry *));
extern void l_inc_sw_rr PARAMS((struct iqueue_entry *));
extern void l_inc_sb_rr PARAMS((struct iqueue_entry *));
extern void l_inc_sh_rr PARAMS((struct iqueue_entry *));
extern void l_lwz_rr_inc PARAMS((struct iqueue_entry *));
extern void l_lbz_rr_inc PARAMS((struct iqueue_entry *));
extern void l_lhz_rr_inc PARAMS((struct iqueue_entry *));
extern void l_lws_rr_inc PARAMS((struct iqueue_entry *));
extern void l_lbs_rr_inc PARAMS((struct iqueue_entry *));
extern void l_lws_rr_inc PARAMS((struct iqueue_entry *));
extern void l_inc_lwz_rr PARAMS((struct iqueue_entry *));
extern void l_inc_lbz_rr PARAMS((struct iqueue_entry *));
extern void l_inc_lhz_rr PARAMS((struct iqueue_entry *));
extern void l_inc_lws_rr PARAMS((struct iqueue_entry *));
extern void l_inc_lbs_rr PARAMS((struct iqueue_entry *));
extern void l_inc_lws_rr PARAMS((struct iqueue_entry *));
extern void l_cust1 PARAMS ((struct iqueue_entry *));
extern void l_cust2 PARAMS ((struct iqueue_entry *));
extern void l_cust3 PARAMS ((struct iqueue_entry *));
extern void l_cust4 PARAMS ((struct iqueue_entry *));
extern void lf_add_s PARAMS ((struct iqueue_entry *));
extern void lf_div_s PARAMS ((struct iqueue_entry *));
extern void lf_ftoi_s PARAMS ((struct iqueue_entry *));
extern void lf_itof_s PARAMS ((struct iqueue_entry *));
extern void lf_madd_s PARAMS ((struct iqueue_entry *));
extern void lf_mul_s PARAMS ((struct iqueue_entry *));
extern void lf_rem_s PARAMS ((struct iqueue_entry *));
extern void lf_sfeq_s PARAMS ((struct iqueue_entry *));
extern void lf_sfge_s PARAMS ((struct iqueue_entry *));
extern void lf_sfgt_s PARAMS ((struct iqueue_entry *));
extern void lf_sfle_s PARAMS ((struct iqueue_entry *));
extern void lf_sflt_s PARAMS ((struct iqueue_entry *));
extern void lf_sfne_s PARAMS ((struct iqueue_entry *));
extern void lf_sub_s PARAMS((struct iqueue_entry *));
extern void l_none PARAMS((struct iqueue_entry *));
extern void lp_start PARAMS((struct iqueue_entry *));
extern void lp_end PARAMS((struct iqueue_entry *));
extern void lp_count PARAMS((struct iqueue_entry *));
extern void lp_counti PARAMS((struct iqueue_entry *));
extern void lp_setup PARAMS((struct iqueue_entry *));
extern void lp_setupi PARAMS((struct iqueue_entry *));
extern void l_min PARAMS((struct iqueue_entry *));
extern void l_minu PARAMS((struct iqueue_entry *));
extern void l_max PARAMS((struct iqueue_entry *));
extern void l_maxu PARAMS((struct iqueue_entry *));
extern void l_abs PARAMS((struct iqueue_entry *));
extern void l_avg PARAMS((struct iqueue_entry *));
extern void l_avgu PARAMS((struct iqueue_entry *));
extern void l_cnt PARAMS((struct iqueue_entry *));
extern void l_clb PARAMS((struct iqueue_entry *));
extern void lv_all_eq_b PARAMS((struct iqueue_entry *));
extern void lv_all_eq_h PARAMS((struct iqueue_entry *));
extern void lv_all_ge_b PARAMS((struct iqueue_entry *));
extern void lv_all_ge_h PARAMS((struct iqueue_entry *));
extern void lv_all_gt_b PARAMS((struct iqueue_entry *));
extern void lv_all_gt_h PARAMS((struct iqueue_entry *));
extern void lv_all_le_b PARAMS((struct iqueue_entry *));
extern void lv_all_le_h PARAMS((struct iqueue_entry *));
extern void lv_all_lt_b PARAMS((struct iqueue_entry *));
extern void lv_all_lt_h PARAMS((struct iqueue_entry *));
extern void lv_all_ne_b PARAMS((struct iqueue_entry *));
extern void lv_all_ne_h PARAMS((struct iqueue_entry *));
extern void lv_any_eq_b PARAMS((struct iqueue_entry *));
extern void lv_any_eq_h PARAMS((struct iqueue_entry *));
extern void lv_any_ge_b PARAMS((struct iqueue_entry *));
extern void lv_any_ge_h PARAMS((struct iqueue_entry *));
extern void lv_any_gt_b PARAMS((struct iqueue_entry *));
extern void lv_any_gt_h PARAMS((struct iqueue_entry *));
extern void lv_any_le_b PARAMS((struct iqueue_entry *));
extern void lv_any_le_h PARAMS((struct iqueue_entry *));
extern void lv_any_lt_b PARAMS((struct iqueue_entry *));
extern void lv_any_lt_h PARAMS((struct iqueue_entry *));
extern void lv_any_ne_b PARAMS((struct iqueue_entry *));
extern void lv_any_ne_h PARAMS((struct iqueue_entry *));
extern void lv_cmp_eq_b PARAMS((struct iqueue_entry *));
extern void lv_cmp_eq_h PARAMS((struct iqueue_entry *));
extern void lv_cmp_ge_b PARAMS((struct iqueue_entry *));
extern void lv_cmp_ge_h PARAMS((struct iqueue_entry *));
extern void lv_cmp_gt_b PARAMS((struct iqueue_entry *));
extern void lv_cmp_gt_h PARAMS((struct iqueue_entry *));
extern void lv_cmp_le_b PARAMS((struct iqueue_entry *));
extern void lv_cmp_le_h PARAMS((struct iqueue_entry *));
extern void lv_cmp_lt_b PARAMS((struct iqueue_entry *));
extern void lv_cmp_lt_h PARAMS((struct iqueue_entry *));
extern void lv_cmp_ne_b PARAMS((struct iqueue_entry *));
extern void lv_cmp_ne_h PARAMS((struct iqueue_entry *));
extern void lv_all_eq_b_sc PARAMS((struct iqueue_entry *));
extern void lv_all_eq_h_sc PARAMS((struct iqueue_entry *));
extern void lv_all_ge_b_sc PARAMS((struct iqueue_entry *));
extern void lv_all_ge_h_sc PARAMS((struct iqueue_entry *));
extern void lv_all_gt_b_sc PARAMS((struct iqueue_entry *));
extern void lv_all_gt_h_sc PARAMS((struct iqueue_entry *));
extern void lv_all_le_b_sc PARAMS((struct iqueue_entry *));
extern void lv_all_le_h_sc PARAMS((struct iqueue_entry *));
extern void lv_all_lt_b_sc PARAMS((struct iqueue_entry *));
extern void lv_all_lt_h_sc PARAMS((struct iqueue_entry *));
extern void lv_all_ne_b_sc PARAMS((struct iqueue_entry *));
extern void lv_all_ne_h_sc PARAMS((struct iqueue_entry *));
extern void lv_any_eq_b_sc PARAMS((struct iqueue_entry *));
extern void lv_any_eq_h_sc PARAMS((struct iqueue_entry *));
extern void lv_any_ge_b_sc PARAMS((struct iqueue_entry *));
extern void lv_any_ge_h_sc PARAMS((struct iqueue_entry *));
extern void lv_any_gt_b_sc PARAMS((struct iqueue_entry *));
extern void lv_any_gt_h_sc PARAMS((struct iqueue_entry *));
extern void lv_any_le_b_sc PARAMS((struct iqueue_entry *));
extern void lv_any_le_h_sc PARAMS((struct iqueue_entry *));
extern void lv_any_lt_b_sc PARAMS((struct iqueue_entry *));
extern void lv_any_lt_h_sc PARAMS((struct iqueue_entry *));
extern void lv_any_ne_b_sc PARAMS((struct iqueue_entry *));
extern void lv_any_ne_h_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_eq_b_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_eq_h_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_ge_b_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_ge_h_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_gt_b_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_gt_h_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_le_b_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_le_h_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_lt_b_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_lt_h_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_ne_b_sc PARAMS((struct iqueue_entry *));
extern void lv_cmp_ne_h_sc PARAMS((struct iqueue_entry *));
extern void lv_all_eq_b_sci PARAMS((struct iqueue_entry *));
extern void lv_all_eq_h_sci PARAMS((struct iqueue_entry *));
extern void lv_all_ge_b_sci PARAMS((struct iqueue_entry *));
extern void lv_all_ge_h_sci PARAMS((struct iqueue_entry *));
extern void lv_all_gt_b_sci PARAMS((struct iqueue_entry *));
extern void lv_all_gt_h_sci PARAMS((struct iqueue_entry *));
extern void lv_all_le_b_sci PARAMS((struct iqueue_entry *));
extern void lv_all_le_h_sci PARAMS((struct iqueue_entry *));
extern void lv_all_lt_b_sci PARAMS((struct iqueue_entry *));
extern void lv_all_lt_h_sci PARAMS((struct iqueue_entry *));
extern void lv_all_ne_b_sci PARAMS((struct iqueue_entry *));
extern void lv_all_ne_h_sci PARAMS((struct iqueue_entry *));
extern void lv_any_eq_b_sci PARAMS((struct iqueue_entry *));
extern void lv_any_eq_h_sci PARAMS((struct iqueue_entry *));
extern void lv_any_ge_b_sci PARAMS((struct iqueue_entry *));
extern void lv_any_ge_h_sci PARAMS((struct iqueue_entry *));
extern void lv_any_gt_b_sci PARAMS((struct iqueue_entry *));
extern void lv_any_gt_h_sci PARAMS((struct iqueue_entry *));
extern void lv_any_le_b_sci PARAMS((struct iqueue_entry *));
extern void lv_any_le_h_sci PARAMS((struct iqueue_entry *));
extern void lv_any_lt_b_sci PARAMS((struct iqueue_entry *));
extern void lv_any_lt_h_sci PARAMS((struct iqueue_entry *));
extern void lv_any_ne_b_sci PARAMS((struct iqueue_entry *));
extern void lv_any_ne_h_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_eq_b_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_eq_h_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_ge_b_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_ge_h_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_gt_b_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_gt_h_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_le_b_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_le_h_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_lt_b_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_lt_h_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_ne_b_sci PARAMS((struct iqueue_entry *));
extern void lv_cmp_ne_h_sci PARAMS((struct iqueue_entry *));
extern void lv_add_b PARAMS((struct iqueue_entry *));
extern void lv_add_h PARAMS((struct iqueue_entry *));
extern void lv_sub_b PARAMS((struct iqueue_entry *));
extern void lv_sub_h PARAMS((struct iqueue_entry *));
extern void lv_avg_b PARAMS((struct iqueue_entry *));
extern void lv_avg_h PARAMS((struct iqueue_entry *));
extern void lv_min_b PARAMS((struct iqueue_entry *));
extern void lv_min_h PARAMS((struct iqueue_entry *));
extern void lv_max_b PARAMS((struct iqueue_entry *));
extern void lv_max_h PARAMS((struct iqueue_entry *));
extern void lv_srl_b PARAMS((struct iqueue_entry *));
extern void lv_srl_h PARAMS((struct iqueue_entry *));
extern void lv_sra_b PARAMS((struct iqueue_entry *));
extern void lv_sra_h PARAMS((struct iqueue_entry *));
extern void lv_sll_b PARAMS((struct iqueue_entry *));
extern void lv_sll_h PARAMS((struct iqueue_entry *));
extern void lv_mul_b PARAMS((struct iqueue_entry *));
extern void lv_mul_h PARAMS((struct iqueue_entry *));
extern void lv_or_b) PARAMS((struct iqueue_entry *));
extern void lv_or_h) PARAMS((struct iqueue_entry *));
extern void lv_xor_b PARAMS((struct iqueue_entry *));
extern void lv_xor_h PARAMS((struct iqueue_entry *));
extern void lv_and_b PARAMS((struct iqueue_entry *));
extern void lv_and_h PARAMS((struct iqueue_entry *));
extern void lv_add_b_sc PARAMS((struct iqueue_entry *));
extern void lv_add_h_sc PARAMS((struct iqueue_entry *));
extern void lv_sub_b_sc PARAMS((struct iqueue_entry *));
extern void lv_sub_h_sc PARAMS((struct iqueue_entry *));
extern void lv_avg_b_sc PARAMS((struct iqueue_entry *));
extern void lv_avg_h_sc PARAMS((struct iqueue_entry *));
extern void lv_min_b_sc PARAMS((struct iqueue_entry *));
extern void lv_min_h_sc PARAMS((struct iqueue_entry *));
extern void lv_max_b_sc PARAMS((struct iqueue_entry *));
extern void lv_max_h_sc PARAMS((struct iqueue_entry *));
extern void lv_srl_b_sc PARAMS((struct iqueue_entry *));
extern void lv_srl_h_sc PARAMS((struct iqueue_entry *));
extern void lv_sra_b_sc PARAMS((struct iqueue_entry *));
extern void lv_sra_h_sc PARAMS((struct iqueue_entry *));
extern void lv_sll_b_sc PARAMS((struct iqueue_entry *));
extern void lv_sll_h_sc PARAMS((struct iqueue_entry *));
extern void lv_mul_b_sc PARAMS((struct iqueue_entry *));
extern void lv_mul_h_sc PARAMS((struct iqueue_entry *));
extern void lv_or_b_sc PARAMS((struct iqueue_entry *));
extern void lv_or_h_sc PARAMS((struct iqueue_entry *));
extern void lv_xor_b_sc PARAMS((struct iqueue_entry *));
extern void lv_xor_h_sc PARAMS((struct iqueue_entry *));
extern void lv_and_b_sc PARAMS((struct iqueue_entry *));
extern void lv_and_h_sc PARAMS((struct iqueue_entry *));
extern void lv_add_b_sci PARAMS((struct iqueue_entry *));
extern void lv_add_h_sci PARAMS((struct iqueue_entry *));
extern void lv_sub_b_sci PARAMS((struct iqueue_entry *));
extern void lv_sub_h_sci PARAMS((struct iqueue_entry *));
extern void lv_avg_b_sci PARAMS((struct iqueue_entry *));
extern void lv_avg_h_sci PARAMS((struct iqueue_entry *));
extern void lv_min_b_sci PARAMS((struct iqueue_entry *));
extern void lv_min_h_sci PARAMS((struct iqueue_entry *));
extern void lv_max_b_sci PARAMS((struct iqueue_entry *));
extern void lv_max_h_sci PARAMS((struct iqueue_entry *));
extern void lv_srl_b_sci PARAMS((struct iqueue_entry *));
extern void lv_srl_h_sci PARAMS((struct iqueue_entry *));
extern void lv_sra_b_sci PARAMS((struct iqueue_entry *));
extern void lv_sra_h_sci PARAMS((struct iqueue_entry *));
extern void lv_sll_b_sci PARAMS((struct iqueue_entry *));
extern void lv_sll_h_sci PARAMS((struct iqueue_entry *));
extern void lv_mul_b_sci PARAMS((struct iqueue_entry *));
extern void lv_mul_h_sci PARAMS((struct iqueue_entry *));
extern void lv_or_b_sci PARAMS((struct iqueue_entry *));
extern void lv_or_h_sci PARAMS((struct iqueue_entry *));
extern void lv_xor_b_sci PARAMS((struct iqueue_entry *));
extern void lv_xor_h_sci PARAMS((struct iqueue_entry *));
extern void lv_and_b_sci PARAMS((struct iqueue_entry *));
extern void lv_and_h_sci PARAMS((struct iqueue_entry *));
extern void lv_ins_b PARAMS((struct iqueue_entry *));
extern void lv_ins_h PARAMS((struct iqueue_entry *));
extern void lv_ext_b PARAMS((struct iqueue_entry *));
extern void lv_ext_h PARAMS((struct iqueue_entry *));
extern void lv_abs_b PARAMS((struct iqueue_entry *));
extern void lv_abs_h PARAMS((struct iqueue_entry *));

#endif	/* SIMPLE32_DEFS__H */
